Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusBalance

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusBalance

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class BonusBalance
    extends AbstractBonusBalanceBean

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `chargeType` |
  `static int` | `paymentType` |

  ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `date, dateString, sum, typeId, typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BonusBalance()` |
  `BonusBalance​(int id, int type, java.math.BigDecimal sum, java.math.BigDecimal excess, java.util.Date date)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getDebitSum()` |
  `java.math.BigDecimal` | `getRest()` |
  `void` | `setDebitSum​(java.math.BigDecimal debitSum)` |
  `void` | `setRest​(java.math.BigDecimal excess)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `getDate, getDateString, getSum, getTypeId, getTypeTitle, setDate, setDateString, setSum, setTypeId, setTypeTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### paymentType

    public static final int paymentType
    See Also:
      Constant Field Values

  - ### chargeType

    public static final int chargeType
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BonusBalance

    public BonusBalance()

  - ### BonusBalance

    public BonusBalance​(int id, int type, java.math.BigDecimal sum, java.math.BigDecimal excess, java.util.Date date)
    Parameters:
      `id` - - код прихода либо расхода
      `type` - - 1 - приход 2 - расход

- ## Method Details

  - ### getRest

    public java.math.BigDecimal getRest()

  - ### setRest

    public void setRest​(java.math.BigDecimal excess)

  - ### getDebitSum

    public java.math.BigDecimal getDebitSum()

  - ### setDebitSum

    public void setDebitSum​(java.math.BigDecimal debitSum)